#include "fdf.h"

int     key_hook(int keycode, void *FDF)
{
	if (keycode == 65307)
		quit(FDF);
	if (keycode == 113)
		aclock_rot(FDF);
	if (keycode == 97)
		left_rot(FDF);
	if (keycode == 100)
		right_rot(FDF);
	if (keycode == 115)
		back_rot(FDF);
	if (keycode == 119)
		forw_rot(FDF);
	if (keycode == 101)
		clock_rot(FDF);
    if (keycode == 122)
        scale_up_z(FDF);
	if (keycode == 120)
		scale_down_z(FDF);
	if (keycode == 65451)
		zoom_in(FDF);
	if (keycode == 65453)
		zoom_out(FDF);
	if (keycode == 114)
		reset(FDF);
	return (0);
}